%define name python-pycrypto
%define srcname pycrypto
%define version 2.6
%define unmangled_version 2.6
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: Cryptographic modules for Python.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
Patch0: %{srcname}-%{version}-aix.patch
License: UNKNOWN
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Dwayne C. Litzenberger <dlitz@dlitz.net>
Url: http://www.pycrypto.org/

BuildRequires: python, python-devel
Requires: gmp-devel
Requires: python
Requires: gmp

%description
Cryptographic modules for Python.

%description
Easily download, build, install, upgrade, and uninstall Python packages

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .aix

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
# Autoconf and RPL_MALLOC
export ac_cv_func_malloc_0_nonnull=yes

cd 64bit
export OBJECT_MODE=64
python_64 setup.py build

cd ../32bit
export OBJECT_MODE=32
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/ACKS 32bit/COPYRIGHT 32bit/ChangeLog 32bit/LEGAL 32bit/PKG-INFO 32bit/README 32bit/TODO
%doc 32bit/Doc 
%{python_sitelib}/*
%{python_sitelib64}/*

%changelog
* Thu Jul 17 2013 Tristan Delhalle <Tristan.Delhalle@ext.bull.net> - 2.6-1
- first version for AIX V6.1 and higher
